/*---------------------------------------
  CUSTOM PROPERTIES ( VARIABLES )             
-----------------------------------------*/

@import url('https://fonts.googleapis.com/css2?family=Archivo:ital,wght@0,100..900;1,100..900&family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');


:root {
  --light-color: #E8F5E9;
  --dark-color: #0f1b42;
  --primary-color: #fd5d14;
  --secondary-color: #525368;
  --section-bg-color: #f0f8ff;
  --footer-bg-color: #44525d;
  --p-color: #717275;
  --border-color: #e9eaeb;
  --family-primary: "Archivo", serif;
  --family-secondary: "Raleway", sans-serif;

}

.section-bg {
  background-color: #f7faf7;
}

.back-to-top {
  position: fixed;
  display: none;
  right: 30px;
  bottom: 30px;
  z-index: 99;
}

.logo-bv {
  height: 6.5rem;
}


.title-logo {
  font-family: var(--family-primary);
  font-weight: 800;
}

@media (max-width: 350px) {
  .title-logo {
    display: none;
  }
}

h1,
.h1,
h2,
.h2,
.fw-bold {
  font-weight: 700 !important;
}

h3,
.h3,
h4,
.h4,
.fw-medium {
  font-weight: 600 !important;
}

.about_us {
  color: #ff0000 !important;
  font-weight: 700 !important;
}

h5,
.h5,
h6,
.h6,
.fw-semi-bold {
  font-weight: 500 !important;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
}

.text-justify {
  text-align: justify !important;
}

.text-small {
  font-size: 14px !important;
  font-weight: 600;
}

.bg-light-radial {
  background-image: -webkit-repeating-radial-gradient(center center, rgba(256, 256, 256, 0.1), rgba(256, 256, 256, 0.1) 1px, transparent 1px, transparent 100%);
  background-image: -moz-repeating-radial-gradient(center center, rgba(256, 256, 256, 0.1), rgba(256, 256, 256, 0.1) 1px, transparent 1px, transparent 100%);
  background-image: -ms-repeating-radial-gradient(center center, rgba(256, 256, 256, 0.1), rgba(256, 256, 256, 0.1) 1px, transparent 1px, transparent 100%);
  background-image: -o-repeating-radial-gradient(center center, rgba(256, 256, 256, 0.1), rgba(256, 256, 256, 0.1) 1px, transparent 1px, transparent 100%);
  background-image: repeating-radial-gradient(center center, rgba(256, 256, 256, 0.1), rgba(256, 256, 256, 0.1) 1px, transparent 1px, transparent 100%);
  background-size: 3px 3px;
}

/*---------------------------------------
  Spinner             
-----------------------------------------*/

#spinner {
  opacity: 0;
  visibility: hidden;
  transition: opacity .5s ease-out, visibility 0s linear .5s;
  z-index: 99999;
}

#spinner.show {
  transition: opacity .5s ease-out, visibility 0s linear 0s;
  visibility: visible;
  opacity: 1;
}


/*---------------------------------------
 Button              
-----------------------------------------*/
.btn {
  transition: .5s;
  font-weight: 500;
}

.btn-primary,
.btn-outline-primary:hover {
  color: var(--light-color);
}

.btn-square {
  width: 38px;
  height: 38px;
}

.btn-sm-square {
  width: 32px;
  height: 32px;
}

.btn-lg-square {
  width: 48px;
  height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: normal;
}

/*---------------------------------------
Navbar           
-----------------------------------------*/

.navbar.sticky-top {
  top: -100px;
  transition: .5s;
}

.navbar .navbar-brand,
.navbar a.btn {
  height: 80px
}

.navbar .navbar-nav .nav-link {
  margin-right: 35px;
  padding: 25px 0;
  color: var(--dark-color);
  font-size: 18px;
  font-weight: 500;
  outline: none;
  font-family: var(--family-primary);
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
  color: var(--primary-color);
}

.navbar .dropdown-toggle::after {
  border: none;
  content: "\f107";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  vertical-align: middle;
  margin-left: 8px;
}

@media (max-width: 991.98px) {
  .navbar .navbar-nav .nav-link {
    margin-right: 0;
    padding: 10px 0 10px 0;
    transition: ease-in-out 0.2s;
    border-bottom: solid 1px #dfdede76;
  }

  .navbar-nav {
    padding-bottom: 0 !important;
  }

  .navbar .navbar-nav {
    border-top: 1px solid #EEEEEE;
  }
}

@media (min-width: 992px) {
  .navbar .nav-item .dropdown-menu {
    display: block;
    border: none;
    margin-top: 0;
    top: 150%;
    opacity: 0;
    visibility: hidden;
    transition: .5s;
  }

  .navbar .nav-item:hover .dropdown-menu {
    top: 100%;
    visibility: visible;
    transition: .5s;
    opacity: 1;
  }
}


/*---------------------------------------
 Header               
-----------------------------------------*/
.carousel-caption {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  background: rgba(15, 66, 41, .6);
  z-index: 1;
}

.carousel-control-prev,
.carousel-control-next {
  width: 15%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
  width: 3rem;
  height: 3rem;
  border-radius: 3rem;
  background-color: var(--primary-color);
  border: 10px solid var(--primary-color);
}

@media (max-width: 768px) {
  #header-carousel .carousel-item {
    position: relative;
    min-height: 450px;
  }

  #header-carousel .carousel-item img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.page-header {
  background: linear-gradient(rgba(15, 29, 66, 0.6), rgba(15, 33, 66, 0.6)), url(../img/carousel-1.jpg) center center no-repeat;
  background-size: cover;
}

.page-header .breadcrumb-item+.breadcrumb-item::before {
  color: var(--light-color);
}

.page-header .breadcrumb-item,
.page-header .breadcrumb-item a {
  font-size: 18px;
  color: var(--light-color);
}


/*---------------------------------------
Top Feature             
-----------------------------------------*/

@media (min-width: 991.98px) {
  .top-feature {
    position: relative;
    margin-top: -80px;
    z-index: 1;
  }
}


/*---------------------------------------
 Facts & Quote              
-----------------------------------------*/
.facts,
.quote {
  background: rgba(15, 66, 41, .6);
}


/*---------------------------------------
 Service              
-----------------------------------------*/
.service-item .service-icon {
  width: 100px;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  border: 1px solid rgba(255, 166, 0, 0.425)
}

.service-item .icon-top {
  margin-top: -50px;
}

.service-item .icon-bottom {
  margin-bottom: -50px;
  z-index: 10;
}

.service-item .service-icon i {
  transition: .2s;
}

.service-item:hover .service-icon i {
  font-size: 60px;
}

.service .btn {
  position: relative;
  font-weight: 600;
  text-transform: uppercase;
  transition: .5s;
}

.service .btn::after {
  position: absolute;
  content: "";
  width: 0;
  height: 2px;
  bottom: -1px;
  left: 50%;
  background: var(--secondary-color);
  transition: .5s;
}

.service .btn.btn-primary::after {
  background: var(--dark-color);
}

.service .btn:hover::after,
.service .btn.active::after {
  width: 50%;
  left: 25%;
}


/*---------------------------------------
Project Portfolio              
-----------------------------------------*/

#portfolio-flters {
  display: inline-block;
  background: var(--light-color);
  padding: 10px 15px;
}

#portfolio-flters li {
  display: inline-block;
  font-weight: 500;
  color: var(--primary-color);
  cursor: pointer;
  transition: .5s;
  border-bottom: 2px solid transparent;
}

#portfolio-flters li:hover,
#portfolio-flters li.active {
  color: var(--dark-color);
  border-color: var(--dark-color);
}

.portfolio-inner {
  position: relative;
  overflow: hidden;
}

.portfolio-inner::before,
.portfolio-inner::after {
  position: absolute;
  content: "";
  width: 0;
  height: 100%;
  top: 0;
  left: 0;
  background: rgba(15, 66, 41, .6);
  transition: .5s;
}

.portfolio-inner::after {
  left: auto;
  right: 0;
}

.portfolio-inner:hover::before,
.portfolio-inner:hover::after {
  width: 50%;
}

.portfolio-inner .portfolio-text {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transition: .5s;
  z-index: 3;
  opacity: 0;
}

.portfolio-inner:hover .portfolio-text {
  transition-delay: .3s;
  opacity: 1;
}

.portfolio-inner .portfolio-text .btn {
  background: var(--light-color);
  color: var(--primary-color);
}

.portfolio-inner .portfolio-text .btn:hover {
  background: var(--primary-color);
  color: var(--light-color);
}


/*---------------------------------------
Team              
-----------------------------------------*/
.team-item {
  position: relative;
  overflow: hidden;
}

.team-item .team-text {
  position: absolute;
  width: calc(100% - 45px);
  left: -100%;
  bottom: 45px;
  padding: 1.5rem;
  background: #FFFFFF;
  border-radius: 0 4px 4px 0;
  opacity: 0;
  transition: .5s;
}

.team-item:hover .team-text {
  left: 0;
  opacity: 1;
}

.team-item .team-social .btn {
  background: var(--light-color);
  color: var(--primary-color);
}

.team-item .team-social .btn:hover {
  background: var(--primary-color);
  color: var(--light-color);
}

.team-item .team-img .team-social {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: .5s;
  z-index: 3;
  opacity: 0;
}

.team-item:hover .team-img .team-social {
  transition-delay: .3s;
  opacity: 1;
}

/*--------------------------------------------------------------
# Portfolio Section
--------------------------------------------------------------*/
.portfolio .portfolio-filters {
  padding: 0;
  margin: 0 auto 20px auto;
  list-style: none;
  text-align: center;
}

.portfolio .portfolio-filters li {
  cursor: pointer;
  display: inline-block;
  padding: 20px;
  margin: 0;
  font-size: 15px;
  font-weight: 500;
  line-height: 1;
  margin-bottom: 5px;
  border: 1px solid #fd5e1415;
  border-radius: 40px;
  transition: all 0.3s ease-in-out;
  font-weight: 500;
}

.portfolio .portfolio-filters li:hover,
.portfolio .portfolio-filters li.filter-active {
  color: var(--light-color);
  background-color: var(--primary-color);
}

.portfolio .portfolio-filters li:first-child {
  margin-left: 0;
}

.portfolio .portfolio-filters li:last-child {
  margin-right: 0;
}

@media (max-width: 575px) {
  .portfolio .portfolio-filters li {
    font-size: 14px;
    margin: 0 0 10px 0;
  }
}

.portfolio .portfolio-item {
  position: relative;
  overflow: hidden;
}

.portfolio .portfolio-item .portfolio-info {
  opacity: 0;
  position: absolute;
  left: 12px;
  right: 12px;
  bottom: -100%;
  z-index: 3;
  transition: all ease-in-out 0.5s;
  background: color-mix(in srgb, var(--primary-color), transparent 10%);
  padding: 15px;
}

.portfolio .portfolio-item .portfolio-info h4 {
  font-size: 18px;
  font-weight: 600;
  padding-right: 50px;
}

.portfolio .portfolio-item .portfolio-info p {
  color: color-mix(in srgb, var(--dark-color), transparent 30%);
  font-size: 14px;
  margin-bottom: 0;
  padding-right: 50px;
}

.portfolio .portfolio-item .portfolio-info .preview-link,
.portfolio .portfolio-item .portfolio-info .details-link {
  position: absolute;
  right: 50px;
  font-size: 24px;
  top: calc(50% - 14px);
  color: color-mix(in srgb, var(--dark-color), transparent 30%);
  transition: 0.3s;
  line-height: 0;
}

.portfolio .portfolio-item .portfolio-info .preview-link:hover,
.portfolio .portfolio-item .portfolio-info .details-link:hover {
  color: var(--primary-color);
}

.portfolio .portfolio-item .portfolio-info .details-link {
  right: 14px;
  font-size: 28px;
}

.portfolio .portfolio-item:hover .portfolio-info {
  opacity: 1;
  bottom: 0;
}



/*---------------------------------------
Testimonial              
-----------------------------------------*/


.testimonial-carousel .owl-nav {
  margin-top: 30px;
  display: flex;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next {
  margin-right: 15px;
  width: 45px;
  height: 45px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--primary-color);
  background: var(--light-color);
  border-radius: 4px;
  font-size: 22px;
  transition: .5s;
}

.testimonial-carousel .owl-nav .owl-prev:hover,
.testimonial-carousel .owl-nav .owl-next:hover {
  background: var(--primary-color);
  color: var(--light-color);
}



/*---------------------------------------
Footer               
-----------------------------------------*/
.footer .btn.btn-link {
  display: block;
  margin-bottom: 5px;
  padding: 0;
  text-align: left;
  color: var(--light-color);
  font-weight: normal;
  text-transform: capitalize;
  transition: .3s;
}

.footer .btn.btn-link::before {
  position: relative;
  content: "\f105";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  margin-right: 10px;
}

.footer .btn.btn-link:hover {
  color: var(--primary-color);
  letter-spacing: 1px;
  box-shadow: none;
}

.copyright {
  color: var(--light-color);
  background: #010611;
}

.copyright a {
  color: #FFFFFF;
}

.copyright a:hover {
  color: var(--primary-color);
}